Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class Statistics

`java.lang.Object
oracle.jbo.pool.ResourcePoolStatistics
oracle.jbo.common.ampool.Statistics`

All Implemented Interfaces:
  java.lang.Cloneable

public class Statistics
extends ResourcePoolStatistics

A structure for ApplicationPool statistics.

Field Summary
`long` | `mAvgNumOfSessionsReferencingState`
`long` | `mNumOfInstancesReused`
`long` | `mNumOfReferencedInstancesRecycled`
`int` | `mNumOfSessions`
`long` | `mNumOfStateActivations`
`long` | `mNumOfStatePassivations`
`long` | `mNumOfUnreferencedInstancesRecycled`
`int` | `mReferencedApplicationModules`
`AgeHistogram` | `mRefInstanceAgeHistogram`
`AgeHistogram` | `mSessionAgeHistogram`
`AgeHistogram` | `mUnrefInstanceAgeHistogram`

Fields inherited from class oracle.jbo.pool.ResourcePoolStatistics
`mAvailableResourceCount, mAvgNumOfAvailableInstances, mAvgNumOfInstances, mAvgNumOfUnavailableInstances, mMaxNumOfInstances, mNumOfCheckins, mNumOfCheckoutFailures, mNumOfCheckouts, mNumOfInstanceCreations, mNumOfInstanceRemovals, mResourceAgeHistogram, mResourceCount`

Constructor Summary
`Statistics()`

Method Summary
`void` | `add(ResourcePoolStatistics statistics)`
`java.lang.Object` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mNumOfStateActivations

    public long mNumOfStateActivations

### mNumOfStatePassivations

    public long mNumOfStatePassivations

### mNumOfInstancesReused

    public long mNumOfInstancesReused

### mNumOfReferencedInstancesRecycled

    public long mNumOfReferencedInstancesRecycled

### mNumOfUnreferencedInstancesRecycled

    public long mNumOfUnreferencedInstancesRecycled

### mReferencedApplicationModules

    public int mReferencedApplicationModules

### mNumOfSessions

    public int mNumOfSessions

### mAvgNumOfSessionsReferencingState

    public long mAvgNumOfSessionsReferencingState

### mSessionAgeHistogram

    public AgeHistogram mSessionAgeHistogram

### mRefInstanceAgeHistogram

    public AgeHistogram mRefInstanceAgeHistogram

### mUnrefInstanceAgeHistogram

    public AgeHistogram mUnrefInstanceAgeHistogram

Constructor Detail

### Statistics

    public Statistics()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `ResourcePoolStatistics`

### add

    public void add(ResourcePoolStatistics statistics)

  Overrides:
    `add` in class `ResourcePoolStatistics`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.